# Created by pyp2rpm-3.3.2
%global pypi_name typing_extensions

Name:           python-%{pypi_name}
Version:        3.7.4
Release:        %mkrel 4
Summary:        Backported and Experimental Type Hints for Python 3
Group:          Development/Python
License:        Python
URL:            https://github.com/python/typing/blob/master/typing_extensions/README.rst
Source0:        %{pypi_source}
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Typing Extensions -- Backported and Experimental Type Hints for PythonThe
typing module was added to the standard library in Python 3.5 on a provisional
basis and will no longer be provisional in Python 3.7. However, this means
users of Python 3.5 - 3.6 who are unable to upgrade will not be able to take
advantage of new types added to the typing module, such as typing.Text or...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Obsoletes:      python2-typing_extensions < 3.7.4-2

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Typing Extensions - Backported and Experimental Type Hints for Python

The typing module was added to the standard library in Python 3.5 on a
provisional basis and will no longer be provisional in Python 3.7.
However, this means users of Python 3.5 - 3.6 who are unable to upgrade will not
be able to take advantage of new types added to the typing module, such as
typing.Text or typing.Coroutine.

The typing_extensions module contains both backports of these changes as well as
experimental types that will eventually be added to the typing module, such as
Protocol.

Users of other Python versions should continue to install and use the typing
module from PyPi instead of using this one unless specifically writing code that
must be compatible with multiple Python versions or requires experimental types.

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info



%changelog
* Sun Feb 16 2020 umeabot <umeabot> 3.7.4-4.mga8
+ Revision: 1531593
- Mageia 8 Mass Rebuild

* Sat Sep 14 2019 tv <tv> 3.7.4-3.mga8
+ Revision: 1440587
- rebuild for python-3.8

* Wed Jul 17 2019 kekepower <kekepower> 3.7.4-2.mga8
+ Revision: 1422124
- Remove python2 package and obsolete it

* Wed Jul 17 2019 kekepower <kekepower> 3.7.4-1.mga8
+ Revision: 1422088
- imported package python-typing_extensions

